additionalTrustBundlePolicy: Proxyonly
apiVersion: v1
baseDomain: kodevirtual.com
compute:
- architecture: amd64
  hyperthreading: Enabled
  name: worker
  platform: {}
  replicas: 3
controlPlane:
  architecture: amd64
  hyperthreading: Enabled
  name: master
  platform: {}
  replicas: 3
metadata:
  creationTimestamp: null
  name: ocp4
networking:
  clusterNetwork:
  - cidr: 10.128.0.0/14
    hostPrefix: 23
  machineNetwork:
  - cidr: 10.0.0.0/16
  networkType: OVNKubernetes
  serviceNetwork:
  - 172.30.0.0/16
platform:
  vsphere:
    apiVIPs:
    - 172.21.240.254
    failureDomains:
    - name: generated-failure-domain
      region: generated-region
      server: vcsa01.kodevirtual.com
      topology:
        computeCluster: /LAB-DC/host/Lab-Cluster
        datacenter: LAB-DC
        datastore: /LAB-DC/datastore/vsanDatastore
        networks:
        - ark-ocp-2410
        resourcePool: /LAB-DC/host/Lab-Cluster//Resources
      zone: generated-zone
    ingressVIPs:
    - 172.21.240.253
    vcenters:
    - datacenters:
      - LAB-DC
      password: VMware1!
      port: 443
      server: vcsa01.kodevirtual.com
      user: administrator@vsphere.local
publish: External
pullSecret: '{"auths":{"cloud.openshift.com":{"auth":"b3BlbnNoaWZ0LXJlbGVhc2UtZGV2K29jbV9hY2Nlc3NfZjkwNzA0ZTNkODI0NDI2ODhjZTQyNDMyMjBhY2NiOTU6RzZXVkVKOFA4UkE2SkxXMVZJNUNSU0hOSFJNOVhURExWOFVTREU0OEE3VzFITUlCRzJXTlc2MDJCMEdVM05IRw==","email":"a.kumbalakandy@gmail.com"},"quay.io":{"auth":"b3BlbnNoaWZ0LXJlbGVhc2UtZGV2K29jbV9hY2Nlc3NfZjkwNzA0ZTNkODI0NDI2ODhjZTQyNDMyMjBhY2NiOTU6RzZXVkVKOFA4UkE2SkxXMVZJNUNSU0hOSFJNOVhURExWOFVTREU0OEE3VzFITUlCRzJXTlc2MDJCMEdVM05IRw==","email":"a.kumbalakandy@gmail.com"},"registry.connect.redhat.com":{"auth":"fHVoYy1wb29sLTdlZTFiNDdlLTdjYjgtNDJmNC04NGYyLTU0YTFlZjAwMTQwNDpleUpoYkdjaU9pSlNVelV4TWlKOS5leUp6ZFdJaU9pSTROV0UxTUdVNFlXWmxOalUwTnpFd09URmtaV1ZtT1RRek16ZzBaV0k0TnlKOS5XbFlWSzRIdW9UR2tVU2hMaDJaOFYxNXdONDdtSVA5NnFZcGlhUlhMTE9vX0s3YnFXbUtSZU1sRXdTSjFiUFd3a0psbXU3bnpDcldYaXVzaU9KNHRvMGFNTG9TNWJBOVNsaHFWODg2a0dyNkJQelRCRDdxTjJZNjcyRzZSa1dQU29iTko5R2RoNDRRbjB5WUg0YnFQaHVyMmZ6TFpOWVF1ZTFIdFFmT19MNHdFbDFJRC0zakZweDRZb284XzhLRUpuUU8wUEJhNTJudVMzUHVFNXhIaGlpRGRKbFdVSjh5WDF3dl9iTjNlMHY5WjlBMXdmVW8xYnZyUFhWcmQ0MGpBZFZidl9PMjBRdDhYaDlaUVpaN1BpMVFqeDAteGVsV1g5OXl3ajRWUVkwaTJjYTdObk16aUJBbldGVmt3cE1YX0lJeTkyZmh1RFRJS1ZESkNiS0MwVmRkclpHc2d1NE1Tb3BZSFRBV2xZNmpSSVV4bjJRdWczcWV0ZzBQeUN0QUthcGRpckJpVmVuR3Q2ZWtXWFF2cHZJX3M0bWI1LUhXTm1nb1JxeUVweXEyVVExRW9KaFZYMlR0S1l4VkltOVNWdHc5bjZBYXJUOF95ZGhGS0I5MnR6aE13a2I1cDFCeXVzWVRwdzFMOTl4dUlPYktBNkFmSjVYWDlUNlRPYUF3X2ktd2wzQkhEWERuRlV5Z1lYLWN1clg5TVZFRExMV2ZvWkZmOEEyajFUNXdJMENhamJQZ0VNcDVDcklhZnE5TGQ2Z3FCZzhaU0ZMeWlVdXFFRXQ2ZEtVZVA2R2pKMmU3c3poQ29Oc0VndUU4SFZsaHJDWkUwMUthWXBmQ0pDNmlsSEg3amhJZlhHNTBEWTJpUGdHaGhoVkxvd1Z2YXdkeDZ6cmd6UDVjc3Q1cw==","email":"a.kumbalakandy@gmail.com"},"registry.redhat.io":{"auth":"fHVoYy1wb29sLTdlZTFiNDdlLTdjYjgtNDJmNC04NGYyLTU0YTFlZjAwMTQwNDpleUpoYkdjaU9pSlNVelV4TWlKOS5leUp6ZFdJaU9pSTROV0UxTUdVNFlXWmxOalUwTnpFd09URmtaV1ZtT1RRek16ZzBaV0k0TnlKOS5XbFlWSzRIdW9UR2tVU2hMaDJaOFYxNXdONDdtSVA5NnFZcGlhUlhMTE9vX0s3YnFXbUtSZU1sRXdTSjFiUFd3a0psbXU3bnpDcldYaXVzaU9KNHRvMGFNTG9TNWJBOVNsaHFWODg2a0dyNkJQelRCRDdxTjJZNjcyRzZSa1dQU29iTko5R2RoNDRRbjB5WUg0YnFQaHVyMmZ6TFpOWVF1ZTFIdFFmT19MNHdFbDFJRC0zakZweDRZb284XzhLRUpuUU8wUEJhNTJudVMzUHVFNXhIaGlpRGRKbFdVSjh5WDF3dl9iTjNlMHY5WjlBMXdmVW8xYnZyUFhWcmQ0MGpBZFZidl9PMjBRdDhYaDlaUVpaN1BpMVFqeDAteGVsV1g5OXl3ajRWUVkwaTJjYTdObk16aUJBbldGVmt3cE1YX0lJeTkyZmh1RFRJS1ZESkNiS0MwVmRkclpHc2d1NE1Tb3BZSFRBV2xZNmpSSVV4bjJRdWczcWV0ZzBQeUN0QUthcGRpckJpVmVuR3Q2ZWtXWFF2cHZJX3M0bWI1LUhXTm1nb1JxeUVweXEyVVExRW9KaFZYMlR0S1l4VkltOVNWdHc5bjZBYXJUOF95ZGhGS0I5MnR6aE13a2I1cDFCeXVzWVRwdzFMOTl4dUlPYktBNkFmSjVYWDlUNlRPYUF3X2ktd2wzQkhEWERuRlV5Z1lYLWN1clg5TVZFRExMV2ZvWkZmOEEyajFUNXdJMENhamJQZ0VNcDVDcklhZnE5TGQ2Z3FCZzhaU0ZMeWlVdXFFRXQ2ZEtVZVA2R2pKMmU3c3poQ29Oc0VndUU4SFZsaHJDWkUwMUthWXBmQ0pDNmlsSEg3amhJZlhHNTBEWTJpUGdHaGhoVkxvd1Z2YXdkeDZ6cmd6UDVjc3Q1cw==","email":"a.kumbalakandy@gmail.com"}}}'
sshKey: |
  ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIFnSa48dwHaHJQ7kqIrbV4aBG7qFaNdGyjHRS2V+ibbP root@ocp4-bastion
